OnlyFans API
FanslyUsers

Edit User Note

Edit an existing Fansly note for a user.

PUT
/api/fansly/{fanslyAccount}/users/{account_id}/notes/{note_id}
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

account_id*string

The Fansly account ID whose note should be edited.

note_id*string

The Fansly note ID.

Request Body

application/json

title*string

The updated note title.

note*string

The updated note body.

Response Body

application/json

curl -X PUT "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/users/800000000000000002/notes/200000000000000002" \  -H "Content-Type: application/json" \  -d '{    "title": "Updated example note title",    "note": "Updated example note body\n\nnewline"  }'
{
  "data": {
    "id": "200000000000000002",
    "accountId": "800000000000000001",
    "title": "Updated example note title",
    "note": "Updated example note body\n\nnewline"
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 100000,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}